Loading...
Searching...
No Matches
Opm::Main Class Reference
Inheritance diagram for Opm::Main:

## Public Member Functions

| Main (int argc, char **argv, bool ownMPI=true)
| Main (const std::string &filename, bool mpi_init=true, bool mpi_finalize=true)
| Main (const std::string &filename, std::shared_ptr< EclipseState > eclipseState, std::shared_ptr< Schedule > schedule, std::shared_ptr< SummaryConfig > summaryConfig, bool mpi_init=true, bool mpi_finalize=true)
void | setArgvArgc_ (const std::string &filename)
void | maybeSaveReservoirCouplingSlaveLogFilename_ ()
void | maybeRedirectReservoirCouplingSlaveOutput_ ()
void | initMPI ()
int | runDynamic ()
| Run simulation.
template<class TypeTag>
int | runStatic ()
| Run simulation.
int | justInitialize ()
| Used for test_outputdir.

## Protected Member Functions

template<class TypeTagEarlyBird>
bool | initialize_ (int &exitCode, bool keepKeywords=false)
| Initialize.
void | setupVanguard ()

## Protected Attributes

int | argc_ {0}
char ** | argv_ {nullptr}
bool | outputCout_ {false}
bool | outputFiles_ {false}

## Member Function Documentation

## initialize_()

template<class TypeTagEarlyBird>

bool Opm::Main::initialize_ | ( | int & | exitCode,
|  | bool | keepKeywords = false )

inline protected

Initialize.

Parameters

  exitCode | The exitCode of the program.
  keepKeywords | Keep Schedule keywords even if there are no actions

Returns
  Whether to actually run the simulator. I.e. true if parsing of command line was successful and no –help, –print-properties, or –print-parameters have been found.

## runDynamic()

int Opm::Main::runDynamic | ( |  | ) |

inline

Run simulation.

Selects an appropriate simulator based on runtime information in the input deck.

Returns
  Simulation's status/exit code.

## runStatic()

template<class TypeTag>

int Opm::Main::runStatic | ( |  | ) |

inline

Run simulation.

Uses staticially configured simulator defined at call site.

Template Parameters

  TypeTag | Simulation type's statically configured properties.

Returns
  Simulation's status/exit code.

The documentation for this class was generated from the following files:

- opm/simulators/flow/Main.hpp
- opm/simulators/flow/Main.cpp
- opm/simulators/flow/MainDispatchDynamic.cpp